package com.iamberry.wechat.face.phone;

import com.iamberry.wechat.tools.ResponseJson;

/**
 * 手机短信接口
 * Created by liuzhiwei on 2017/12/20.
 */
public interface PhoneCodeService {

    /**
     * 根据手机号码、短信验证码、校验是否正确
     * @param phone
     * @param code
     * @return
     */
    public ResponseJson validCode(String phone, String code);

    /**
     * 发送手机验证码
     * @param phone
     * @return
     */
    public ResponseJson sms(String phone);
}
