package com.iamberry.wechat.face.questionnaire;

import java.util.List;

import com.iamberry.wechat.core.entity.questionnaire.QuestionnaireOption;

public interface QuestionOptionService {
	/**
	 * 根据题目id查询题目所有选项
	 * @param QuestionnaireOption
	 * @return
	 * @author
	 */
	public List<QuestionnaireOption> selectOptionById(Integer optionQuesionId);
	
	/**
	 * 根据选项id修改选项内容
	 * @param QuestionnaireOption
	 * @return
	 * @author
	 */
	public Integer updateOptionById(QuestionnaireOption questionnaireOption);
	
	/**
	 * 根据选项id排序
	 * @param QuestionnaireOption
	 * @return
	 * @author
	 */
	public Integer optionSortingById(QuestionnaireOption questionnaireOption);
	
	/**
	 * 添加问题选项
	 * @param QuestionnaireOption
	 * @return
	 * @author
	 */
	public Integer insertOption(QuestionnaireOption questionnaireOption);
}
