<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta charset="utf-8">
<meta name="renderer" content="webkit|ie-comp|ie-stand">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="viewport" content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no" />
<meta http-equiv="Cache-Control" content="no-siteapp" />
<!--[if lt IE 9]>
<script type="text/javascript" src="lib/html5.js"></script>
<script type="text/javascript" src="lib/respond.min.js"></script>
<script type="text/javascript" src="lib/PIE_IE678.js"></script>
<![endif]-->
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.min.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/css/H-ui.admin.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/icheck/icheck.css" rel="stylesheet" type="text/css" />
<link href="${pageContext.request.contextPath }/common/admin/lib/Hui-iconfont/1.0.1/iconfont.css" rel="stylesheet" type="text/css" />
<!--[if IE 6]>
<script type="text/javascript" src="lib/DD_belatedPNG_0.0.8a-min.js" ></script>
<script>DD_belatedPNG.fix('*');</script>
<![endif]-->
<title>会员详细信息</title>
</head>
<body>
<nav class="breadcrumb"><i class="Hui-iconfont">&#xe67f;</i> 首页 <span class="c-gray en">&gt;</span> 销售订单管理 <span class="c-gray en">&gt;</span> 订单详情 <a class="btn btn-success radius r mr-20" style="line-height:1.6em;margin-top:3px" href="javascript:location.replace(location.href);" title="刷新" ><i class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="pd-20">
	<div id="tab-system" class="HuiTab">
		<div class="tabBar cl"><span>订单详情</span></div>
		<div class="tabCon">
		<c:if test="${!empty orderInfos }">
			<table class="table table-border table-bordered table-hover mt-5">
			  <tr class="text-r">
			  	<td class="f-14" style="font-weight: bold;">订单号：</td>
			  	<td>${orderInfos.orderId }</td>
			  	<td  class="f-14" style="font-weight: bold;">所属用户：</td>
			  	<td>${orderInfos.userName }</td>
			  	<td  class="f-14" style="font-weight: bold;">状态：</td>
			  	<td>${orderInfos.orderLinkStatus }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">现金支付金额：</td>
			  	<td>${orderInfos.orderRMBTotal }（￥）</td>
			  	<td  class="f-14" style="font-weight: bold;">使用积分数量：</td>
			  	<td>${orderInfos.orderIntegralNum }（个）</td>
			  	<td  class="f-14" style="font-weight: bold;">积分抵扣金额：</td>
			  	<td>${orderInfos.orderRateMoney }（￥）</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">使用的优惠券号：</td>
			  	<td>${orderInfos.preferentialId }</td>
			  	<td  class="f-14" style="font-weight: bold;">优惠券抵扣金额：</td>
			  	<td>${orderInfos.preferentialNum }（￥）</td>
			  	<td  class="f-14" style="font-weight: bold;">快递公司：</td>
			  	<td>${orderInfos.postFirm }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">快递单号：</td>
			  	<td>${orderInfos.postNum }</td>
			  	<td  class="f-14" style="font-weight: bold;">创建时间：</td>
			  	<td><fmt:formatDate value="${orderInfos.orderCreateDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  	<td  class="f-14" style="font-weight: bold;">邮政编码：</td>
			  	<td>${orderInfos.orderAddressPostNum }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">奖励积分：</td>
			  	<td>${orderInfos.orderRewardNum }（个）</td>
			  	<td  class="f-14" style="font-weight: bold;">积分到账时间：</td>
			  	<td colspan="3"><fmt:formatDate value="${orderInfos.orderIntegralDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  </tr>
			  <tr class="text-r">
			  	<td colspan="6">
			  	<table class="table table-border table-bordered table-hover">
				  <thead>
				  	<tr  class="f-14" style="font-weight: bold;">
				  		<th>商品名称</th>
				  		<th>商品图片</th>
				  		<th>原价（￥）</th>
				  		<th>优惠价（￥）</th>
				  		<th>数量（件）</th>
				  		<th>金额（￥）</th>
				  	</tr>
				  </thead>
				  <tbody>
				  <c:if test="${!empty OrderItem }">
				  <c:forEach items="${OrderItem }" var="list">
				  	<tr>
				  		<td>${list.goodsName }</td>
				  		<td><img alt="图片" src="${pageContext.request.contextPath }${list.goodsDescImage}" style="width: 40px; height: 40px;"></td>
				  		<td>${list.goodsPrice }</td>
				  		<td>${list.goodsDiscount }</td>
				  		<td>${list.orderItemNum }</td>
				  		<td>${list.orderItemTotal }</td>
				  	</tr>
				  </c:forEach>
				  </c:if>
				  <c:if test="${empty OrderItem }">
				  	<tr class="text-c"><td colspan="6" class="text-c">该订单未查询到任何商品！</td></tr>
				  </c:if>
				  </tbody>
				</table>
				</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">收件人姓名：</td>
			  	<td colspan="2">${orderInfos.orderAddressName }</td>
			  	<td  class="f-14" style="font-weight: bold;">收件人电话：</td>
			  	<td colspan="2">${orderInfos.orderAddressMoblie }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">发货时间：</td>
			  	<td colspan="2"><fmt:formatDate value="${orderInfos.orderSendDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  	<td  class="f-14" style="font-weight: bold;">确认收货时间：</td>
			  	<td colspan="2"><fmt:formatDate value="${orderInfos.orderTheDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">用户备注：</td>
			  	<td colspan="5">${orderInfos.orderUserRemark }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">管理员标注：</td>
			  	<td>
			  		<c:if test="${orderInfos.orderColorFlag==1 }">
						<div style="width:100%;height:20px;background-color: red;" id="${orderInfos.orderId }AdminRemarkColor" lang="1"></div>
					</c:if>
					<c:if test="${orderInfos.orderColorFlag==2 }">
						<div style="width:100%;height:20px;background-color: yellow;" id="${orderInfos.orderId }AdminRemarkColor" lang="2"></div>
					</c:if>
					<c:if test="${orderInfos.orderColorFlag==3 }">
						<div style="width:100%;height:20px;background-color: green;" id="${orderInfos.orderId }AdminRemarkColor" lang="3"></div>
					</c:if>
			  	</td>
			  	<td  class="f-14" style="font-weight: bold;">管理员备注：</td>
			  	<td colspan="3">${orderInfos.orderAdminRemark }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">申请退款时间：</td>
			  	<td><fmt:formatDate value="${orderInfos.orderReturnDate }" pattern="yyyy-MM-dd HH:mm:ss"/></td>
			  	<td  class="f-14" style="font-weight: bold;">退款备注：</td>
			  	<td colspan="3">${orderInfos.orderDescInfo }</td>
			  </tr>
			  <tr class="text-r">
			  	<td  class="f-14" style="font-weight: bold;">收货地址：</td>
			  	<td colspan="5">${orderInfos.orderAddressInfo }</td>
			  </tr>
			</table>
		</c:if>
		<c:if test="${empty orderInfos }">
			<div style="width: 100%;" class="text-c">未查询到该订单信息!</div>
		</c:if>
		</div>
	</div>
</div>
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/jquery/1.9.1/jquery.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/Validform/5.3.2/Validform.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/layer/1.9.3/layer.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/lib/icheck/jquery.icheck.min.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.js"></script> 
<script type="text/javascript" src="${pageContext.request.contextPath }/common/admin/js/H-ui.admin.js"></script> 
<script type="text/javascript">

$(function(){
	$('.skin-minimal input').iCheck({
		checkboxClass: 'icheckbox-blue',
		radioClass: 'iradio-blue',
		increaseArea: '20%'
	});
	$.Huitab("#tab-system .tabBar span","#tab-system .tabCon","current","click","0");
});

function IntegralLogs(title, url, w, h) {
	layer_show(title,url,w,h);
}
</script>
</body>
</html>