mui.init({
	pullRefresh: {
		container: '#pullrefresh',
		down: {
			//callback: pulldownRefresh
		},
		up: {
			contentrefresh: '正在加载...',
			callback: pullupRefresh
		}
	}
});

var pageNumber = 0,pagesize = 10,tabindex = 1;

mui.ready(function() {
	var btnArray = ['否', '是'];
	console.log("----------getParam('openid)-------------" + getParam("openid"));
	mui.ajax(base_path + '/rebackStatic/underDrpListInfoInit?dates=' + new Date().getTime(), {
		dataType: 'json',
		type: 'post',
		timeout: 15000,
		data: ("openid=" + (getParam("openid") == null ? "" : getParam("openid"))) ,
		//data: {"openid":""},
		success: function(dt) {
			//console.log(dt);
			if(dt.status) {
				var rolesList_data = []; //定义一个数组类型存放dt.data.rolesList
				if(dt.data.rolesList != null) {
					rolesList_data = dt.data.rolesList
				}
				var table = document.body.querySelector('.tab-with-user');
				mui(rolesList_data).each(function(index) {
					var li = document.createElement('a');
					if(index == 0) {
						li.className = 'mui-control-item mui-active';
						tabindex = this.roleId;
					} else {
						li.className = 'mui-control-item';
					}
					li.setAttribute('id', this.roleId);
					li.innerHTML = '<span class="mui-tab-label">' + this.roleName + '</span>';
					table.appendChild(li);
				});
				mui('#pullrefresh').pullRefresh().pullupLoading();
				mui.each(document.querySelectorAll('.tab-with-user .mui-control-item'), function(index, el) {
					el.addEventListener('tap', function() {
						pageNumber = 0;
						tabindex = this.getAttribute('id');
						$('.my-tab-view-pull').empty();
						mui('#pullrefresh').pullRefresh().refresh(true);
						mui('#pullrefresh').pullRefresh().pullupLoading();
					}, false);
				});
			} else {
				mui.confirm(dt.message, '提示', btnArray, function(e) {
					if(e.index == 1) {
						//console.log("您点击了是");
					}
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			errorfn(xhr);
		}
	});
	document.querySelector('.loading-bg').style.display = 'none';
});
//上拉加载
function pullupRefresh() {
	++pageNumber;
	var btnArray = ['否', '是'];
	mui.ajax('/iamberry/wechat/rebackStatic/underDrpListInfo?dates=' + new Date().getTime(), {
		data: {
			"pageSize": pagesize,
			"pageNumber": pageNumber,
			"roleId": tabindex,
			"openid" : (getParam("openid") == null ? "" : getParam("openid"))
		},
		dataType: 'json',
		type: 'post',
		timeout: 15000,
		success: function(dt) {
			//console.log(dt);
			if(dt.status) {
				var chanpin_data = []; //定义一个数组类型存放dt.data.productList
				if(dt.data.list != null) {
					chanpin_data = dt.data.list
				}
				document.querySelector("#b_accounts").innerHTML = dt.data.size
					/* document.querySelector("#accounts").innerHTML=accDiv(dt.data.totalMoney,100) */
				mui('#pullrefresh').pullRefresh().endPullupToRefresh(chanpin_data.length < pagesize); //参数为true代表没有更多数据了
				var table = document.body.querySelector('.my-tab-view-pull');
				mui(chanpin_data).each(function(index) {
					var li = document.createElement('li');
					li.setAttribute('openid', this.openid);
					if(this.roleName == "门店" || this.roleName == "母婴店") {
						li.className = 'mui-table-view-cell daili';
					} else if(this.roleName == "代理") {
						li.className = 'mui-table-view-cell qita';
					}
					li.innerHTML = '<table class="my-dl-tb-order"><tr><td><img class="wh-50" src="' + this.img + '"></td><td class="mui-text-left">' + decodeURI(this.name) + '</td><td style="color:blue;">' + this.roleName + '</td><td>' + this.strDate + '</td></tr></table>';
					table.appendChild(li);
				});
				mui.each(document.querySelectorAll(".my-tab-view-pull .daili"), function(index, el) {
					el.addEventListener('tap', function() {
						console.log("11111");
						mui.openWindow({
							url: base_path + '/drp/MendianTerminalUser?openid=' + this.getAttribute('openid')
						});
					}, false);
				});
				mui.each(document.querySelectorAll(".my-tab-view-pull .qita"), function(index, el) {
					el.addEventListener('tap', function() {
						console.log("2222");
						mui.openWindow({
							url: base_path + '/drp/xialianUser?openid=' + this.getAttribute('openid')
						});
					}, false);
				});
			} else {
				mui.confirm(dt.message, '提示', btnArray, function(e) {
					if(e.index == 1) {
						//console.log("您点击了是");
					}
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
			errorfn(xhr);
		}
	});
}