package com.iamberry.wechat.face.warranty;

import com.iamberry.wechat.core.entity.member.Member;
import com.iamberry.wechat.core.entity.warrantyCard.WarrantyCard;

import java.util.List;

/**
 * Created by liuzhiwei on 2017/12/21.
 */
public interface WarrantyService {

    /**
     * 查询质保卡集合
     * @param warrantyCard
     * @return
     */
    List<WarrantyCard> listWarrantyCard(WarrantyCard warrantyCard);

    /**
     * 批量添加质保卡信息
     * @param txtOrderId
     * @return
     */
    boolean addWarrantyList(String txtOrderId, Member member, String cardWatero,
                            String cardProvince, String cardCity, String cardDistrict) throws Exception;
}
